POST /Command/FileFormatConvert
Convert files (txt, xml, json, csv) from database to a different format and save them to the database
Request
Authentication: API keys or JSON web tokens (JWT)
Body Parameters
|
Parameter Name
|
Type
|
Required/Optional
|
Description
|
|
Username
|
string
|
Required
|
The username of your D3 SOAR account.
|
|
Site
|
string
|
Required
|
The D3 SOAR site to run the remote command.
|
|
File IDs
|
array<string>
|
Required
|
The array of IDs of files for conversion
|
|
Source Table
|
string
|
Required
|
The table name in which the files are
|
|
Format
|
string
|
Required
|
The file format to which the files will be converted
|
Body Sample Data
application/json
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"File IDs": [
10xx,
10xx,
10xx
],
"Source Table": "IR_ATCHMNT",
"Format": "JSON"
}
}
Response
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
error
|
string
|
The error message if the API request has failed.
|
|
keyFields
|
string
|
The key fields from the API request.
|
|
returnData
|
string
|
The return data from the API request.
|
|
contextData
|
array<JSON Object>
|
The context data from the API request.
|
Sample Data
{
"error": "",
"keyFields": "",
"returnData": "Successful",
"contextData": [
{
"FileID": "3xx",
"FileName": "73841_2101132325140000---Test.json",
"MD5": "b0778a411c26f7b9b9ef5db8ed9956xx",
"SHA1": "62678242ac69a2fb5cfa6a2cc3256fd8229fd7xx",
"SHA256": "2afa7715181f03b6fe5acd7c82b8e818303a5de567af1a83d8c283010af2dbxx",
"originalFileID": "1044"
},
{
"FileID": "3xx",
"FileName": "84403_2103252109470000---Test.json",
"MD5": "638c10c0494fbefdef861e702b737axx",
"SHA1": "b1e4daeef920ae36a374619dc19db6d8e43ea2xx",
"SHA256": "8e11ef2a631ca5d0fc00753431ffb3511bff32d65816e98a66d298f0e2f218xx",
"originalFileID": "10xx"
},
{
"FileID": "3xx",
"FileName": "84403_2103252116120000---Test.json",
"MD5": "d0073ab01e38cd4ded6b37fe8bcd9bxx",
"SHA1": "146ae75107cd7927870c35ea149ce9ca770d2axx",
"SHA256": "8078f2d8556e8c0d00429589fa75298544f96776cac63d99f2be1a8aa4cac0xx",
"originalFileID": "1051"
}
]
}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The body of the request must be a valid JSON object"}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Invalid authentication key."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "The request exceeds rate limits or is otherwise blocked by rate limiting policies."}
application/json
Response Fields
|
Field Name
|
Type
|
Description
|
|
Error
|
string
|
A error message when the API request fails.
|
Sample Data
{"Error": "Unexpected Error."}